> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Google Provider

> Configure Google OAuth with the customer's client id and a secret encrypted at ingestion.



## OpenAPI

````yaml /openapi.json put /v1/orgs/{orgId}/projects/{projectId}/auth/providers/google
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/auth/providers/google:
    put:
      tags:
        - appauth
      summary: Set Google Provider
      description: >-
        Configure Google OAuth with the customer's client id and a secret
        encrypted at ingestion.
      operationId: appauth.setGoogleProvider
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              properties:
                clientId:
                  type: string
                clientSecret:
                  type: string
                  description: Write-only OAuth client secret.
                enabled:
                  type: boolean
              required:
                - clientId
                - clientSecret
                - enabled
              additionalProperties: false
      responses:
        '200':
          description: Provider status without its secret.
          content:
            application/json:
              schema:
                type: object
                properties:
                  enabled:
                    type: boolean
                  clientId:
                    type:
                      - string
                      - 'null'
                  secretConfigured:
                    type: boolean
                  secretVersion:
                    type:
                      - integer
                      - 'null'
                  rotatedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                required:
                  - enabled
                  - clientId
                  - secretConfigured
                  - secretVersion
                  - rotatedAt
        '404':
          description: No such project or app-auth resource in this organization.
        '422':
          description: Invalid configuration or request.
      security:
        - session: []
components:
  securitySchemes:
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````